clear all;
close all;

%% Boost Converter - Parameters:
T_S = 1/100000;         % Switching period
L = 0.001;              % Inductance
C = 470e-6;             % Output Capacitor
v_out = 400;            % Output Voltage
v_in = 100;             % Input Voltage

R = v_out^2/500;         % Load Resistor



%% Current Controller - Parameters:
k_pi = 0.0555;
T_ni = 1/(2*pi*5000);



%% Voltage Controller - Parameters:
k_pu = 7.8988;
T_nu = 1/(2*pi*1000);



%% plot bode diagrams:
plot_bode = 1;

if(plot_bode == 1)
    
    G_us = tf(v_in*R*k_pi*[T_ni 1],[R*C 0])*tf([1],[L*T_ni v_out*k_pi*T_ni v_out*k_pi]);
    
    G_uc = tf(k_pu*[T_nu 1],[T_nu 0]);
    
    
    figure(101)
    
    plot([2*pi*1000, 2*pi*1000] ,[-100, 100],'--r')
    hold on;
    bode(G_us);
    
    grid on;
    bode(G_uc);
    bode(G_uc*G_us);
    
    legend('G_u_s(s)', 'G_u_c(s)', 'G_u_o(s)');
    
    
    
    figure(102)
%     plot([2*pi*1000, 2*pi*1000] ,[-100, 100],'--r')
     hold on;
    bode(0.5*G_us*G_uc);
   
    grid on;
    bode(G_uc*G_us);
    bode(G_uc*3*G_us);
    
    legend('0.5*G_u_o(s)', 'G_u_o(s)', '3*G_u_o(s)');
    
    
end



